LISTING 3: DWCALL.PAS
Include this unit in your Turbo Pascal for Windows program to take advantage of DebugWin.

unit dwCall;
  {-Unit used to interface with DebugWin via DWDLL.DLL}

interface

  procedure dwSendMessage(Msg, wParam : Word; lParam : LongInt);
    {-Send a message to DebugWin}
  procedure dwWriteBuf(Msg : PChar; Count : Word);
    {-Send Msg to DebugWin. Count is length of Msg^.}
  procedure dwWrite(Msg : PChar);
    {-Send Msg to DebugWin}
  procedure dwWriteLn(Msg : PChar);
    {-Send Msg to DebugWin and append CRLF}
  procedure dwWriteChar(Ch : Char);
    {-Send Ch to DebugWin}

implementation

  procedure dwSendMessage; external 'DWDLL' index 1;
  procedure dwWriteBuf;    external 'DWDLL' index 2;
  procedure dwWrite;       external 'DWDLL' index 3;
  procedure dwWriteLn;     external 'DWDLL' index 4;
  procedure dwWriteChar;   external 'DWDLL' index 5;

end.
